scheduler.h File Reference
`#include "scheduler_common.h"`
`#include "tbb/spin_mutex.h"`
`#include "mailbox.h"`
`#include "tbb_misc.h"`
`#include "itt_notify.h"`
`#include "../rml/include/rml_tbb.h"`
`#include "intrusive_list.h"`
`#include "arena.h"`
`#include "governor.h"`
Include dependency graph for scheduler.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | tbb::internal::scheduler_properties
| Bit-field representing properties of a sheduler. More...
struct | tbb::internal::scheduler_state
class | tbb::internal::generic_scheduler
| Work stealing task scheduler. More...
struct | tbb::internal::context_guard_helper< T >

## Namespaces

| tbb
| The graph class.
| tbb::internal
| Identifiers declared inside namespace internal should never be used directly by client code.

## Macros

#define | EmptyTaskPool ((task**)0)
#define | LockedTaskPool ((task**)~(intptr_t)0)

## Macro Definition Documentation

## EmptyTaskPool

#define EmptyTaskPool ((task**)0)

Definition at line 46 of file scheduler.h.

## LockedTaskPool

#define LockedTaskPool ((task**)~(intptr_t)0)

Definition at line 47 of file scheduler.h.

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.